import request from '@/utils/request'

// 查询合并订单列表
export function listMergedOrder(query) {
  return request({
    url: '/order/list',
    method: 'get',
    params: query
  })
}

// 导出合并订单
export function exportMergedOrder(query) {
  return request({
    url: '/order/export',
    method: 'get',
    params: query
  })
}

// 导出合并订单明细
export function exportMergedOrderItems(query) {
  return request({
    url: '/order/exportItems',
    method: 'get',
    params: query
  })
}

// 导出合并订单(明文)
export function exportMergedOrderDetails(query) {
  return request({
    url: '/order/exportDetails',
    method: 'get',
    params: query
  })
}

// 导出合并订单明细(明文)
export function exportMergedOrderItemsDetails(query) {
  return request({
    url: '/order/exportItemsDetails',
    method: 'get',
    params: query
  })
}

// 导出发货单
export function exportMergedShipping(query) {
  return request({
    url: '/order/exportShipping',
    method: 'get',
    params: query
  })
}

// 导入物流单号模板下载
export function importDeliveryNoteExpressTemplate() {
  return request({
    url: '/order/importDeliveryNoteTemplate',
    method: 'get'
  })
}

